; Example code for generating small code snippets
;
  .include        "declare.inc"     ;holds definitions of variables

  .base           0x80200000        ;1 dword (default is 0x80200000)
  .Title          "Test program"    ;max 20 bytes
  .CartID         "TP"              ;1 word
  .Manufacturer   Nintendo          ;1 byte (declared in declare.inc)
  .Country        Europe            ;1 byte (declared in declare.inc)
                                    ;
  .BootCode       "boot.rom"        ;Uses boot code in boot.rom
  .MBit           1                 ;Binary file fixed size
  .byteswap       yes               ;No byteswapping

;
              .org      0            ;start of code

              LW        r0, 0x5512(v0)

StartLabel:   LW        ra,0x001c(sp)
              SW        t2,0x0010(at)
              BNE       ra, t2,StartLabel

Lala:         LW        ra, 0x1234(at)
              LW        r0, 0x5512(v0)
              JAL       Lala

             
              .org      0x160  ;continue at 0x80200160 

              LW        ra, 0x0AFA(at)
              JAL       Lala
              NOP

              BNE       ra, t2,StartLabel

